AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
  - Multimedia
License: Apache-2.0
AuthorName: luk1337
AuthorEmail: priv.luk@gmail.com
AuthorWebSite: https://kremowka.xyz
SourceCode: https://github.com/LuK1337/SauceNAO
IssueTracker: https://github.com/luk1337/SauceNAO/issues
Translation: https://crowdin.com/project/saucenao-android

AutoName: SauceNAO

RepoType: git
Repo: https://github.com/LuK1337/SauceNAO

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0
    subdir: app
    gradle:
      - yes

  - versionName: '1.1'
    versionCode: 2
    commit: v1.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.2'
    versionCode: 3
    commit: v1.2
    subdir: app
    gradle:
      - yes

  - versionName: '1.3'
    versionCode: 4
    commit: v1.3
    subdir: app
    gradle:
      - yes

  - versionName: '1.4'
    versionCode: 5
    commit: v1.4
    subdir: app
    gradle:
      - yes

  - versionName: '1.5'
    versionCode: 6
    commit: v1.5
    subdir: app
    gradle:
      - yes

  - versionName: '1.6'
    versionCode: 7
    commit: v1.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.8-rc-1/6.7/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: '1.7'
    versionCode: 8
    commit: v1.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.8-rc-1/6.7/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: '1.8'
    versionCode: 9
    commit: afd6df3397c9665a97a36460db6e48289015a4b2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.9'
    versionCode: 11
    commit: 9be68c12e6a028c4c73e6358a7ad2b52810688de
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.10'
    versionCode: 12
    commit: c83fc3389b2826f3d11a5e463877fd74718b19c1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.11'
    versionCode: 13
    commit: e61e778fe12d3bb6e271000665b1976571e16d89
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.12'
    versionCode: 14
    commit: d05d1feb84ef8ee4a61caca8f209aabb58bfb1ed
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.13'
    versionCode: 15
    commit: 93891f229d8c585d4bb62ef63372f34f8e049691
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.14'
    versionCode: 16
    commit: dadb655d03d5e1daf63d7eb577926265d04646fa
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

  - versionName: '1.15'
    versionCode: 17
    commit: d1b3d4ff9c9202d0062370cb8a83faf804051f5f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - github

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.15'
CurrentVersionCode: 17
